Package org.springframework.http.converter.json

# Interface ProblemDetailJacksonXmlMixin

public interface ProblemDetailJacksonXmlMixin
Provides the same declarations as `ProblemDetailJacksonMixin` and some additional ones to support XML serialization when `jackson-dataformat-xml` is on the classpath. Customizes the XML root element name and adds namespace information.

Note that we cannot use `@JsonRootName` to specify the namespace since that is not inherited by fields of the class. This is why we need a dedicated "mix-in" when `jackson-dataformat-xml` is on the classpath. For more details, see FasterXML/jackson-dataformat-xml#355.

Since:
  6.0.5
Author:
  Rossen Stoyanchev

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAMESPACE`
RFC 7807 (obsoleted by RFC 9457) namespace.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDetail()`
`URI`
`getInstance()`
`Map<String,Object>`
`getProperties()`
`int`
`getStatus()`
`String`
`getTitle()`
`URI`
`getType()`
`void`
`setProperty(String name, Object value)`

## Field Details

### NAMESPACE

static final String NAMESPACE
RFC 7807 (obsoleted by RFC 9457) namespace.

See Also:
  - Constant Field Values

## Method Details

### getType

URI getType()

### getTitle

String getTitle()

### getStatus

int getStatus()

### getDetail

String getDetail()

### getInstance

URI getInstance()

### setProperty

void setProperty(String name, @Nullable Object value)

### getProperties

Map<String,Object> getProperties()